Bug 501652 - Add option to selecting(or changing) default keymap from the ibus preference
Add option to selecting(or changing) default keymap from the ibus preference
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 03:42 EDT by Parag Nemade
Modified: 2009-05-26 02:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 03:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
IBus Preferences Dialog (48.56 KB, image/png)
2009-05-25 19:53 EDT, Peng Huang
no flags Details

  None (edit)
Description Parag Nemade 2009-05-20 03:42:02 EDT
Description of problem:
Can we have an option of selecting default keymap from the list of added keymaps through preferences window? Because currently iBus is taking latest added keymap as default, which is correct in some way, but I still think, if there is an option (like checkbox or radio button) to select the default keymap it would be great.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090508-3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. start ibus-setup
2. no way to change default keymap for locale
3.
  
Actual results:
no way to change default keymap from list of all keymaps installed for any language.

Expected results:
should have way to change default keymap from list of all keymaps installed for any language.

Additional info:
https://fedoraproject.org/wiki/Test_Days:IBus#cite_ref-20
Comment 1 Ankit Patel 2009-05-20 05:18:25 EDT
Hi Bug 501640 is expecting some different behavior than the one I requested in this bug... Pls see my comment #1 as well there in that bug.

Thanks!
Ankit
Comment 2 Parag Nemade 2009-05-20 05:29:47 EDT
(In reply to comment #1)
> Hi Bug 501640 is expecting some different behavior than the one I requested in
> this bug... Pls see my comment #1 as well there in that bug.
> 
> Thanks!
> Ankit  

Ok. So both bugs are different.
Comment 3 Jens Petersen 2009-05-24 22:11:37 EDT
First input method listed is currently default.
Comment 4 Peng Huang 2009-05-25 03:28:11 EDT
Yeah. The first one is default engine. You could use up/down buttons, or drag & drop the engines to adjust the order.

Parag, Do you think it is ok?
Comment 5 Parag Nemade 2009-05-25 03:33:51 EDT
Ok. I forgot that we do have Up and Down Arrow keys that changes default
keymap. So we do have option to change default input method.

Therefore closing this bug as NOTABUG.
Comment 6 Ankit Patel 2009-05-25 10:59:20 EDT
Hi,

The suggestion I had put in the comments section of my iBus testing page with respect to this bug was a feature request of having something which can allow end users to identify/specify default input keymap. That option could be radio button or combo box, from where only one keymap can be made default and rest will still remain in the list.

So, what would be the best place to discuss this feature request?

Thanks!
Ankit
Comment 7 Peng Huang 2009-05-25 19:53:12 EDT
Created attachment 345372 [details]
IBus Preferences Dialog

Hi Ankit, Parag,

How about this UI design? show the default input method with bold text, and add an information label.
Comment 8 Jens Petersen 2009-05-25 22:37:54 EDT
(In reply to comment #7)
> Created an attachment (id=345372)

Looks nicer

> How about this UI design? show the default input method with bold text, and add
> an information label.  

Ankit, note you can also drag'n'drop the input-methods in that list view.
Comment 9 Parag Nemade 2009-05-25 23:20:33 EDT
sorry but for me it looks same. As we already know first listed input method is default input method, making it bold will not make any difference. But yes I do like the information message that appeared below input method list.
Comment 10 Ankit Patel 2009-05-26 02:46:07 EDT
(In reply to comment #7)
> Created an attachment (id=345372) [details]
> IBus Preferences Dialog
> 
> Hi Ankit, Parag,
> 
> How about this UI design? show the default input method with bold text, and add
> an information label.  

Definitely better than earlier one. However, I am looking for some more easy way for end user which can help him/her to identify or specify the default **input keymap** (not Input method I guess).

Note You need to log in before you can comment on or make changes to this bug.